# Global options
baseURL: https://blog.chosto.me
defaultContentLanguage: fr
enableEmoji: true
enableGitInfo: true
footnoteReturnLinkContents: ↩
languageCode: fr-fr
languageName: Français
watch: true
paginate: 9
title: Billets à la mer

permalinks:
  # All pages under posts section will have this link structure
  posts: /:sections/:title/
  # For about section, just use title
  about: /:title

markup:
  goldmark:
    renderer:
      # Render newlines as <br>
      hardWraps: true
  tableOfContents:
    endLevel: 3
    ordered: false
    startLevel: 2

# Disable all privacy unfriendly stuff
privacy:
  disqus:
    disable: true
  googleAnalytics:
    disable: true
  instagram:
    disable: true
  twitter:
    disable: true
  vimeo:
    disable: true
  youtube:
    disable: true

theme:
  - chosto

module:
  # Make all static theme ressources accessible as assets (e.g. resources.Get)
  mounts:
    - source: themes/chosto/static
      target: assets
    - source: assets
      target: assets

params:
  github: https://github.com/Chostakovitch
  mastodon: https://framapiaf.org/@chosto
  gitea: https://git.chosto.me
  mail: mailto:quentinduchemin@tuta.io
  funkwhale: https://music.chosto.me/@Chosto/
  rss: https://blog.chosto.me/index.xml
  peertube: https://tube.chosto.me